## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    trunk-recorder          
Version: 4.7.1       
Release: %autorelease
Summary: Records calls from a Trunked Radio System (P25 & SmartNet)   

License: GPLv3
URL:     https://github.com/robotastic/trunk-recorder            
Source0: https://github.com/robotastic/trunk-recorder/archive/refs/tags/v%{version}.tar.gz        
Patch0:  trunk-recorder-install_missing_git_lib.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: spdlog-devel
BuildRequires: gnuradio-devel
BuildRequires: gr-osmosdr-devel
BuildRequires: boost-devel
BuildRequires: libcurl-devel
BuildRequires: gmp-devel
BuildRequires: hackrf-devel
BuildRequires: liborc-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: openssl-devel
BuildRequires: uhd-devel
BuildRequires: libusb1-devel
BuildRequires: libsndfile-devel 
Requires: sox
Requires: fdk-aac-free
Requires: gnuradio
Requires: gr-osmosdr
Requires: boost       
Requires: uhd

%description
Trunk Recorder is able to record the calls on trunked and conventional radio 
systems. It uses 1 or more Software Defined Radios (SDRs) to do this. The SDRs 
capture large swathes of RF and then use software to process what was received.
GNU Radio is used to do this processing because it provides lots of convenient 
RF blocks that can be pieced together to allow for complex RF processing. 
The libraries from the amazing OP25 project are used for a lot of the P25 
functionality. Multiple radio systems can be recorded at the same time.


%prep
%autosetup


%build
%cmake

%cmake_build


%install
%cmake_install


%files
%{_bindir}/trunk-recorder
/usr/lib/trunk-recorder/*
%exclude %{_libdir}/libtrunk-recorder.a
%exclude %{_includedir}/*
%exclude /usr/lib/debug/*


%license LICENSE
%doc CHANGELOG.md README.md docs/CONFIGURE.md



%changelog
* Fri Jan 19 2024 c4181
- Inital Build
